明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 850|回复: 3

[已解答] lisp怎么去创建一个文件夹

[复制链接]
发表于 2014-10-31 11:39 | 显示全部楼层 |阅读模式
lisp怎么去创建一个文件夹
发表于 2014-10-31 11:54 | 显示全部楼层
;;to Create a new foler 创建文件夹
(setq *shell (vlax-create-object "Shell.Application"))
(setq root (vlax-invoke *shell 'namespace "d:\\"))
(vlax-invoke root 'newfolder "test")
发表于 2014-10-31 13:12 | 显示全部楼层
如果有 DosLib 则可用
(dos_mkdir "D:\\temp\\")
发表于 2014-10-31 13:23 | 显示全部楼层
vl-mkdir
  


Creates a directory

(vl-mkdir directoryname)
Arguments

directoryname

The name of the directory you want to create.

Return Values

T if successful, nil if the directory exists or if unsuccessful.

Examples

Create a directory named mydirectory:

_$ (vl-mkdir "c:\\mydirectory”)
T

多看帮助.....
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-4-25 22:56 , Processed in 0.295965 second(s), 25 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表